<?php 




// example of how to use basic selector to retrieve HTML contents
include('simple_html_dom.php');
$CrawlingCompleted=NULL;


function CrawlData($url){
// get DOM from URL or file
$metaTitle= NULL;
$metaDescription= NULL;
$metaKeywords= NULL;
$plainText= NULL;
$metaType= NULL;

$html = file_get_html($url);

// find all link
foreach($html->find('title') as $e){ 
$metaTitle= $e->plaintext;
$metaTitle=str_replace('\'','',$metaTitle);
$metaTitle=str_replace('\"','',$metaTitle);
	//echo $metaTitle."<br>";
}
foreach($html->find('body') as $e){ 
$plainText= $e->plaintext;
$plainText=strip_tags($plainText);
$plainText=preg_replace('/\s+/', ' ', $plainText);
$plainText=substr($plainText,0,2000);
$plainText=str_replace('\'','',$plainText);
$plainText=str_replace('\"','',$plainText);
	//echo $plainText."<br>";
}

foreach($html->find('meta') as $e) {
    $metaType= $e->name;
	//echo $metaType.":<br>";
	if($metaType=="description"){
    $metaDescription= $e->content;
$metaDescription=str_replace('\'','',$metaDescription);
$metaDescription=str_replace('\"','',$metaDescription);
	//echo $metaDescription."<br>";
	}
}

foreach($html->find('meta') as $e) {
    $metaType= $e->name;
	//echo $metaType.":<br>";
	if($metaType=="keywords"){
    $metaKeywords= $e->content;
$metaKeywords=str_replace('\'','',$metaKeywords);
$metaKeywords=str_replace('\"','',$metaKeywords);
	//echo $metaKeywords."<br>";
	}
}
	
return array($metaTitle,$metaDescription,$metaKeywords,$plainText);
}

function CrawlURLList($database_saha,$saha,$CURL,$count,$CrownlingPending){
$url=$CURL;
if(substr($url,-4)==".xml"){
$urlBase=parse_url($url,PHP_URL_HOST);
$LinkList=NULL;

$urls = array();  

$DomDocument = new DOMDocument();
$DomDocument->preserveWhiteSpace = false;
$DomDocument->load($url);
$DomNodeList = $DomDocument->getElementsByTagName('loc');

foreach($DomNodeList as $url) {
    $urls[] = $url->nodeValue;
}


foreach ($urls as $entry) {
	$LinkList.=$entry.",";
}
$LinkList= substr($LinkList,0,-1);
$coluMs = explode(",",$LinkList);

}else{
	
$urlBase=parse_url($url,PHP_URL_HOST);
$html = file_get_html($CURL);

$urlBase=parse_url($url,PHP_URL_HOST);
$LinkList=NULL;

foreach($html->find('a') as $e) {
    $metaType= $e->href;
	//echo substr($metaType,0,8)." ".substr($urlBase,0,8)."<br>";
	if((substr($metaType,0,8)==substr($urlBase,0,8))){ //http://
	$LinkList.= $metaType.",";
	}else if(substr($metaType,0,4)!="http" && substr($metaType,0,4)!="www" && substr($metaType,0,4)!=substr($urlBase,0,4)){
	$LinkList.=$urlBase.$metaType.",";
	}else if(substr($metaType,0,4)=="http"){
	$LinkList.=$metaType.",";
	}
}

$LinkList= substr($LinkList,0,-1);
$coluMs = explode(",",$LinkList);
}


foreach ($coluMs as $value) {

 
mysqli_select_db($saha, $database_saha);
$query_selectedCrawl = "SELECT * FROM crawl WHERE crawl.current_url= '$value'";
$selectedCrawl = mysqli_query($saha, $query_selectedCrawl) or die(mysqli_error());
$row_selectedCrawl = mysqli_fetch_assoc($selectedCrawl);
$totalRows_selectedCrawl = mysqli_num_rows($selectedCrawl);


if($totalRows_selectedCrawl==0 && $CURL!="" && @$count<25){

 list($metaTitle,$metaDescription,$metaKeywords,$plainText) =CrawlData($value); 

//echo $metaTitle."<br>".$metaDescription."<br>".$metaKeywords."<br>".$plainText."<br>";


if($metaTitle!=""){  
$count++;
if($count==25){
$CrownlingPending="true";	
$_SESSION['CrownlingPending']="true";
}



	    $insertSQL = sprintf("INSERT INTO crawl (content, description, keywords, `title`, current_url, actual_url, base_url) VALUES (%s, %s, %s, %s, %s, %s, %s)",
                       GetSQLValueString($plainText, "text"),
                       GetSQLValueString($metaDescription, "text"),
                       GetSQLValueString($metaKeywords, "text"),
                       GetSQLValueString($metaTitle, "text"),
                       GetSQLValueString($value, "text"),
                       GetSQLValueString($CURL, "text"),
                       GetSQLValueString($urlBase, "text"));

  mysqli_select_db($saha, $database_saha);
  $Result1 = mysqli_query($saha, $insertSQL) or die(mysqli_error($saha));
  
}
}


}
  
}

?>